Source: https://developers.woosmap.com/api-reference/zones-api/delete-zones-zone_id/

> For clean Markdown of any page, append `.md` to the page URL.

> For a complete documentation index, see https://developers.woosmap.com/llms.txt

# Delete Zone from ID



# Delete Zone from ID

 DELETE 
https://api.woosmap.com/zones/{zone\_id}

Used to delete one Zone. The `zone_id` is the id of the zone to delete. To delete several zones, use the comma as a separator.

### Authorization

[`private_key`](#authorization-woosmap-platform-api-reference-privateapikeyauth)
apiKeyquery

A Private key generated specifically to authenticate API requests on server side. Required for Data management API. See how to [register a Private API Key](https://developers.woosmap.com/api-reference/authentication/#registering-a-woosmap-private-api-key).

### Path Parameters

[`zone_id`](#path-zone-id)
stringrequired

ID of the zone to delete

Example:`ZoneA`

### Response

200application/json

Zones successfully deleted

[`status`](#resp-200-status)
string

the status of the 2OO Zones response

Example:`success`

[`message`](#resp-200-message)
string

message returned with the 2OO Zones request

Example:`Zones successfully updated.`

### Errors

#401

Unauthorized. Incorrect authentication credentials.

 

`application/json`

[`detail`](#err-401-detail)
string

Details for the credentials error

Example:`Incorrect authentication credentials. Please check or use a valid API Key`

#403

Forbidden. This Woosmap API is not enabled for this project.

 

`application/json`

[`detail`](#err-403-detail)
string

Details for the forbidden error message

Example:`This Woosmap API is not enabled for this project.`

```shell
curl -L -X DELETE 'https://api.woosmap.com/zones/ZoneA/?private_key=YOUR_PRIVATE_API_KEY'
```

```python
import requests

url = "https://api.woosmap.com/zones/ZoneA/?private_key=YOUR_PRIVATE_API_KEY"

payload={}
headers = {}

response = requests.request("DELETE", url, headers=headers, data=payload)

print(response.text)
```

```javascript
var axios = require('axios');

var config = {
  method: 'delete',
  url: 'https://api.woosmap.com/zones/ZoneA/?private_key=YOUR_PRIVATE_API_KEY',
  headers: { }
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

```json
{
  "status": "ok",
  "message": "Zone ZoneA deleted."
}
```

```json
{
  "detail": "Incorrect authentication credentials. Please check or use a valid API Key"
}
```

```json
{
  "detail": "This Woosmap API is not enabled for this project."
}
```
